<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package The WP Business
 */
get_header(); ?>

<main id="maincontent" role="main">
    <div class="content">
        <div class="container">
            <?php
            $the_wp_business_left_right = get_theme_mod( 'the_wp_business_theme_options','Right Sidebar');
            if($the_wp_business_left_right == 'One Column'){ ?>
                <div class="content-tg">
                    <div class="bradcrumbs">
                        <?php the_wp_business_the_breadcrumb(); ?>
                    </div>
                    <h1 class="search-title"><?php /* translators: %s: search term */ printf( esc_html__( 'Search Results for: %s','the-wp-business'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                    <?php if ( have_posts() ) :/* Start the Loop */
                
                        while ( have_posts() ) : the_post();

                            get_template_part( 'template-parts/content', get_post_format() ); 
                    
                        endwhile;
                        wp_reset_postdata();
                        else :

                            get_template_part( 'no-results' ); 

                        endif; 
                    ?>
                    <?php if( get_theme_mod( 'the_wp_business_post_navigation',true) != '') { ?>
                        <div class="navigation">
                            <?php the_wp_business_posts_pagination();?>
                            <div class="clearfix"></div>
                        </div>
                    <?php }?>
                </div>
            <?php }else if($the_wp_business_left_right == 'Three Columns'){ ?>
                <div class="row">
                    <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-1');?></div>
                    <div class="col-lg-6 col-md-6" class="content-tg">
                        <div class="bradcrumbs">
                            <?php the_wp_business_the_breadcrumb(); ?>
                        </div>
                        <h1 class="search-title"><?php /* translators: %s: search term */ printf( esc_html__( 'Search Results for: %s','the-wp-business'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                        <?php if ( have_posts() ) :/* Start the Loop */
                    
                            while ( have_posts() ) : the_post();

                                get_template_part( 'template-parts/content', get_post_format() ); 
                        
                            endwhile;
                            wp_reset_postdata();
                            else :

                                get_template_part( 'no-results' ); 

                            endif; 
                        ?>
                        <?php if( get_theme_mod( 'the_wp_business_post_navigation',true) != '') { ?>
                            <div class="navigation">
                                <?php the_wp_business_posts_pagination();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    </div>
                    <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2');?></div>
                </div>
            <?php }else if($the_wp_business_left_right == 'Four Columns'){ ?>
                <div class="row">
                    <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-1');?></div>
                    <div class="col-lg-3 col-md-3" class="content-tg">
                        <div class="bradcrumbs">
                            <?php the_wp_business_the_breadcrumb(); ?>
                        </div>
                        <h1 class="search-title"><?php /* translators: %s: search term */ printf( esc_html__( 'Search Results for: %s','the-wp-business'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                        <?php if ( have_posts() ) :/* Start the Loop */
                    
                            while ( have_posts() ) : the_post();

                                get_template_part( 'template-parts/content', get_post_format() ); 
                        
                            endwhile;
                            wp_reset_postdata();
                            else :

                                get_template_part( 'no-results' ); 

                            endif; 
                        ?>
                        <?php if( get_theme_mod( 'the_wp_business_post_navigation',true) != '') { ?>
                            <div class="navigation">
                                <?php the_wp_business_posts_pagination();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    </div>
                    <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2');?></div>
                    <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-3');?></div>
                </div>
            <?php }else if($the_wp_business_left_right == 'Left Sidebar'){ ?>
                <div class="row">
                    <div id="sidebar" class="col-lg-4 col-md-4"><?php dynamic_sidebar('sidebar-1');?></div>
                    <div class="col-lg-8 col-md-8" class="content-tg">
                        <div class="bradcrumbs">
                            <?php the_wp_business_the_breadcrumb(); ?>
                        </div>
                        <h1 class="search-title"><?php /* translators: %s: search term */ printf( esc_html__( 'Search Results for: %s','the-wp-business'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                        <?php if ( have_posts() ) :/* Start the Loop */
                    
                            while ( have_posts() ) : the_post();

                                get_template_part( 'template-parts/content', get_post_format() ); 
                        
                            endwhile;
                            wp_reset_postdata();
                            else :

                                get_template_part( 'no-results' ); 

                            endif; 
                        ?>
                        <?php if( get_theme_mod( 'the_wp_business_post_navigation',true) != '') { ?>
                            <div class="navigation">
                                <?php the_wp_business_posts_pagination();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    </div>
                </div>
            <?php }else if($the_wp_business_left_right == 'Right Sidebar'){ ?>
                <div class="row">
                    <div class="col-lg-8 col-md-8" class="content-tg">
                        <div class="bradcrumbs">
                            <?php the_wp_business_the_breadcrumb(); ?>
                        </div>
                        <h1 class="search-title"><?php /* translators: %s: search term */ printf( esc_html__( 'Search Results for: %s','the-wp-business'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                        <?php if ( have_posts() ) :/* Start the Loop */
                    
                            while ( have_posts() ) : the_post();

                                get_template_part( 'template-parts/content', get_post_format() ); 
                        
                            endwhile;
                            wp_reset_postdata();
                            else :

                                get_template_part( 'no-results' ); 

                            endif; 
                        ?>
                        <?php if( get_theme_mod( 'the_wp_business_post_navigation',true) != '') { ?>
                            <div class="navigation">
                                <?php the_wp_business_posts_pagination();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    </div>
                    <div id="sidebar" class="col-lg-4 col-md-4"><?php dynamic_sidebar('sidebar-1');?></div>
                </div>
            <?php }else if($the_wp_business_left_right == 'Grid Layout'){ ?>
                <div class="row">
                    <div class="col-lg-8 col-md-8" class="content-tg">
                        <div class="bradcrumbs">
                            <?php the_wp_business_the_breadcrumb(); ?>
                        </div>
                        <h1 class="search-title"><?php /* translators: %s: search term */ printf( esc_html__( 'Search Results for: %s','the-wp-business'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                        <div class="row">
                            <?php if ( have_posts() ) :/* Start the Loop */
                        
                                while ( have_posts() ) : the_post();

                                    get_template_part( 'template-parts/grid-layout' ); 
                            
                                endwhile;
                                wp_reset_postdata();
                                else :

                                    get_template_part( 'no-results' ); 

                                endif; 
                            ?>
                        </div>
                        <?php if( get_theme_mod( 'the_wp_business_post_navigation',true) != '') { ?>
                            <div class="navigation">
                                <?php the_wp_business_posts_pagination();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    </div>
                    <div id="sidebar" class="col-lg-4 col-md-4"><?php dynamic_sidebar('sidebar-1');?></div>
                </div>
            <?php }else {?>
                <div class="row">
                    <div class="col-lg-8 col-md-8" class="content-tg">
                        <div class="bradcrumbs">
                            <?php the_wp_business_the_breadcrumb(); ?>
                        </div>
                        <h1 class="search-title"><?php /* translators: %s: search term */ printf( esc_html__( 'Search Results for: %s','the-wp-business'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                        <?php if ( have_posts() ) :/* Start the Loop */
                    
                            while ( have_posts() ) : the_post();

                                get_template_part( 'template-parts/content', get_post_format() ); 
                        
                            endwhile;
                            wp_reset_postdata();
                            else :

                                get_template_part( 'no-results' ); 

                            endif; 
                        ?>
                        <?php if( get_theme_mod( 'the_wp_business_post_navigation',true) != '') { ?>
                            <div class="navigation">
                                <?php the_wp_business_posts_pagination();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    </div>
                    <div id="sidebar" class="col-lg-4 col-md-4"><?php dynamic_sidebar('sidebar-1');?></div>
                </div>
            <?php } ?>
        </div>
    </div>
</main>

<?php get_footer(); ?>